import java.awt.Color;
import java.awt.Graphics;

/**
 *  A simple Java Swing component that draws a colored circle.
 *
 *  @author Nicholas R. Howe, modified by Sara Sheehan
 *  @version February 3, 2016
 */
public class JColorCircle extends JCircle {
	
	/** For serializing the class (ignore for now) */
	private static final long serialVersionUID = 1L;
     
	/** The color of the circle */
    private Color color;

    /**
     *  Creates a JColorCircle of specified size and color
     *  @param r Specifies the radius of the circle
     *  @param c Specifies the color of the circle
     */
    public JColorCircle(int r, Color c) {
    		super(r);  // call JCircle constructor
		this.color = c;
    }

    /** Accessor for color */
    public Color getColor() {
    		return this.color;
    }

    /** Manipulator for color */
    public void setColor(Color c) {
    		this.color = c;
    }

    /**
     *  Draws the circle in the graphics window
     *  @param g The graphics object to draw into
     */
    public void paintComponent(Graphics g) {
    		g.setColor(this.color);
    		super.paintComponent(g);  // call parent's paintComponent method
    }
} 